<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Validator;

class CampaignSms extends Model
{
    use HasFactory;
    public function validate($input)
    {
        $validate = Validator::make($input, [
            'sender_id_type' => 'required',
            'campaign_id' => 'required',
            'body' => 'required',
            'content_type' => 'required',
        ]);

        return $validate;
    }
}
